### Function

# Babl component_new

#### Declaration [src]

    const Babl*
    babl_component_new (
      void* first_arg,
      ...
    )

#### Description [src]

Defines a new color component with babl.

    babl_component_new  (const char *name,
                         NULL);.

This function is not directly available to language bindings.

#### Parameters

`first_arg`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`...`

  Type: ``

  No description available.

#### Return value

Type: `Babl`

No description available.

The data is owned by the called function.